module Radissh
  def self.configure
    self.configuration ||= Configuration.new
    yield(configuration)
  end

  class << self
    attr_accessor :configuration
  end

  class Configuration
    attr_accessor :api_key
  end

  def render_radissh(api_key = Radissh.configuration.api_key)
    raw "<div id='radish-app'></div> <script type='text/javascript' charset='utf-8' src='https://radissh.com/initialize_radish?api_key=#{api_key}'></script>"
  end

  ROOT_PATH = File.expand_path "../../", __FILE__
  # :: before of the module name it is not to encapsulate the module "My Gem"
  module ::Rails
    class Application
      rake_tasks do
        Dir[File.join(ROOT_PATH, "/lib/tasks/", "**/*.rake")].each do |file|
          load file
        end
      end
    end
  end
end

ActiveSupport.on_load(:action_view) { include Radissh }
